linux-abi unter SuSE 9.1/9.2 kernel 2.6

Alles rund um die Systemverwaltung, die Administration und Konfiguration Eures Linuxsystems

Moderator: Moderatoren

Antworten
tuner
Member
Member
Beiträge: 138
Registriert: 4. Mär 2004, 20:12

linux-abi unter SuSE 9.1/9.2 kernel 2.6

Beitrag von tuner » 28. Mär 2005, 00:16

hallo,

ich moechte ein paar unix-binaries unter linux laufen lassen. Deshalb suche ich bisher vergeblich :cry: nach patches fuer die kernel-versionen
2.6.4 (SuSE 9.1), oder
2.6.8 (SuSE 9.2).

supportanfragen blieben bisher erfolglos.

weiss jemand einen link zu einem patch, oder
hat jemand sonst eine idee?

thanks in advance,
toni.

Werbung:
traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 28. Mär 2005, 01:03

Was heißt "UNIX-Binaries"? Für welches Betriebssystem und insbesondere für welche Architektur sind diese Binaries kompiliert worden?

tuner
Member
Member
Beiträge: 138
Registriert: 4. Mär 2004, 20:12

Beitrag von tuner » 2. Apr 2005, 00:13

hy,

das problem liegt glaub nicht darin,
unix-version: informix, platform weiss ich nich

linux-abi laesst binaer-dateien unter anderen platformen laufen.
--> abi (application binary interface)

es ist ein coff-file.
die sache ist die, dass linus den support fuer abi seit kernel 2.6 verworfen hat. es gibt patches fuer bestimmte kernel-versionen (soweit ich herausgefunden hab, aber bisher nicht fuer die versionen, unter denen suse laeuft.).

das problem ist: wie kann ich unter suse 9.1/9.2 trotzdem ibcs/abi laufen lassen.

sourceforge hat patches, aber fuer andere kernel-versionen.

eine idee? waere fuer alle inspirationen dankbar (ausser downgrade), kann ich gleich bei unix bleiben.

tuner
Member
Member
Beiträge: 138
Registriert: 4. Mär 2004, 20:12

Beitrag von tuner » 14. Apr 2005, 12:01

Nun gut, da zu diesem Thema im Web alle nur Fragen stellen, so wie ich, und nirgends Antworten zu finden sind,
hier eine indirekte Lösung:

Ich werde wohl einen 2.4-er Kernel emulieren, wohl mit usermod-linux oder sonstiges

gruss.

standgas
Newbie
Newbie
Beiträge: 8
Registriert: 11. Jul 2005, 08:55

Beitrag von standgas » 12. Jul 2005, 12:04

Hi toni, ich versuche auch informix binaries auf linux auszuführen. ibcs läuft ja scheinbar nicht auf 9.1 obwohl laut anleitung die module mit den aktuellen kernel quellen zu kompilieren sind. Auf älteren linux lief es ziemlich gut. Wenn du inzwischen eine lösung gefunden hast, kannst sie mir ja mitteilen.
Gruß Frank

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast